/*
 * $Id: npsr2.h,v 1.1 1998/08/10 07:10:02 yjlee Exp $
 * npsr2.h - reduced version of npsr for use in h2ps
 *
 * From:
 *   Id: npsr.h,v 1.1 1998/07/31 10:30:03 yjlee Exp
 *   npsr.h - n3f PostScript Resource Module; write ps resources to file
 *
 * Lee yongjae, yjlee@cglab.snu.ac.kr, 1998.08.10.
 */

#ifndef _NPSR_
#define _NPSR_

/* resource type */
#define NPSR_FONT  1
#define NPSR_FILE  2

#ifdef __cplusplus
extern "C" { 
#endif

void npsr_print_resource_list(/* FILE *out */);
/* print resource list to out file */

void npsr_insert_resource(/* FILE *out, int resource_type, char *name */);
/* print resource to out file */

char *npsr_find_resource(/* int resource_type, char *name */);
/* find resource and returns the resources as string */
/* returns NULL if the resource is not found */

#ifdef __cplusplus
}
#endif

#endif  /* _NPSR_ */
